include '..\..\..\source\designtime.inc'
include 'winconst.inc'


DesignTimeInfo                                     \
                                                   \       ; 1. Edit control
        'EDIT',                                    \
        'Edit control',                            \
        'Standard',                                \
        'Edit',                                    \
        WS_VISIBLE or WS_CHILD or ES_LEFT or ES_AUTOHSCROLL, \      ; default style
        WS_EX_CLIENTEDGE,                                          \       ; default ex style
        121, 21,                                   \
        <                                          \       ; style names
            ES_LEFT        , "Align left", \
            ES_CENTER      , "Align center", \
            ES_RIGHT       , "Align right", \
            ES_UPPERCASE   , "Converts the text into uppercase characters", \
            ES_LOWERCASE   , "Converts the text into lowercase characters", \
            ES_PASSWORD    , "Displays all characters in the edit control as asterisks", \
            ES_NOHIDESEL   , "Specifies that the selected text is not hidden when the edit control loses the keyboard focus", \
            ES_AUTOHSCROLL , "Automatically scrolls text horizontally", \
            ES_OEMCONVERT  , "Ensures the proper conversion of characters", \
            ES_READONLY    , "Makes the edit control read-only", \
            ES_WANTRETURN  , "Inserts a carriage return when the user presses the ENTER key", \
            ES_NUMBER      , "Restricts input to the edit control to digits only" \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        ES_MULTILINE,                              \            ; This is StyleMaskAnd
        WS_CHILD,                                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000000,                                 \            ; This is SubtypeMask
        NONE,                                      \
        NONE,                                      \         ; Library file NULL, because it's standard component.
        'Edit.ico',                                \         ; Image for icon
        \ ; 2.Textbox control (edit with style es_multiline)
        'EDIT',                                    \
        'Textbox control',                            \
        'Standard',                                \
        'Textbox',                                    \
        WS_VISIBLE or WS_CHILD or ES_LEFT or ES_MULTILINE or ES_AUTOHSCROLL or ES_AUTOVSCROLL, \       ; default style
        WS_EX_CLIENTEDGE,                                          \       ; default ex style
        128, 128,                                  \
        <                                          \       ; style names
            ES_LEFT        , "Align left", \
            ES_CENTER      , "Align center", \
            ES_RIGHT       , "Align right", \
            ES_UPPERCASE   , "Converts the text into uppercase characters", \
            ES_LOWERCASE   , "Converts the text into lowercase characters", \
            ES_PASSWORD    , "Displays all characters in the textbox control as asterisks", \
            ES_NOHIDESEL   , "Specifies that the selected text is not hidden when the textbox control loses the keyboard focus", \
            ES_AUTOHSCROLL , "Automatically scrolls text horizontally", \
            ES_AUTOVSCROLL , "Automatically scroll text vertically", \
            ES_OEMCONVERT  , "Ensures the proper conversion of characters", \
            ES_READONLY    , "Makes the textbox control read-only", \
            ES_WANTRETURN  , "Inserts a carriage return when the user presses the ENTER key", \
            ES_NUMBER      , "Restricts input to the textbox control to digits only" \
        >,                                         \
        NONE,                                      \            ; style Ex names
\
        $00000000,                                 \            ; This is StyleMaskAnd
        WS_CHILD or ES_MULTILINE,                  \            ; This is StyleMaskOr
        $00000000,                                 \            ; This is StyleExMaskAnd
        $00000000,                                 \            ; This is StyleExMaskOr
        $00000000,                                 \            ; This is SubtypeMask
        NONE,                                      \
        NONE,                                      \         ; Library file NULL, because it's standard component.
        'Textbox.ico'