; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: TMenu object class
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes: Represents main menu or popup menu objects.
;_________________________________________________________________________________________
module "TMenu library"

ObjectClass Menu,         \
            Window,       \
            TMenu.Create, \
            TMenu.Destroy,\
            TMenu.Get,    \
            TMenu.Set,    \
            TMenu.ExecCmd,\
            TMenu.SysEventHandler

; The inherited TWindow.caption serves as a menu item caption in the parent menu.
; The children TMenu objects are reparent to the root, and their pointers are stored in the
; list of TMenuItem elements.
object TMenu, TWindow
  .pForm  dd ?       ; pointer to TForm object. If NULL, the menu is popup menu.
  .pItems dd ?       ;

  method .Show, .parent, .kind
endobj






proc TMenu.Create, .obj
begin
        return
endp


proc TMenu.Destroy, .obj
begin
        return
endp


proc TMenu.Get, .obj, .param
begin
        return
endp


proc TMenu.Set, .obj, .param
begin

        return
endp


proc TMenu.ExecCmd, .obj, .method
begin
        cmp     [.method], TMenu.Show
        je      .show

        stc
        return

; Method show
.show:
virtual at esi
  .parent dd ?
  .kind   dd ?
end virtual

        mov     ebx, [.obj]
; First check item count and set proper size of the menu window.




        return
endp


proc TMenu.SysEventHandler, .obj, .event
begin

        return
endp



endmodule


