; _______________________________________________________________________________________
;|                                                                                       |
;| ..::FreshLib::..  Free, open source. Licensed under "BSD 2-clause" license."          |
;|_______________________________________________________________________________________|
;
;  Description: TApplication object class.
;
;  Target OS: Any
;
;  Dependencies:
;
;  Notes: TApplication by the idea is the base of GUI application, but the implementation
;         somehow need fixing...
;_________________________________________________________________________________________
module "TApplication library"

ObjectClass Application,        \
    Object,                     \
    TApplication.Create,        \
    0,                          \
    TApplication.Get,           \
    TApplication.Set,           \
    0,                          \
    TApplication.SysEventHandler



; The root object in the application.
; every other object will be child on the TApplication.MainWindow.
; only one instance of TApplication should be created.
;
object TApplication, TObject
  .MainWindow   dd ?    ; pointer to a variable that contains pointer to the main window of the application. When this variable becomes 0 the application terminates.
  .Accelerators dd ?    ; table of application wide hot keys.
  .OnIdle       dd ?    ; user event handler for idle state.
endobj


include '%TargetOS%/TApplication.asm'


endmodule
